# $Id: smeserver-htbwshaper-1.0.spec,v 1.8 2009/03/03 21:36:59 slords Exp $
# Authority: dungog
# Name: Stephen Noble

%define name smeserver-htbwshaper
%define version 1.0
%define release 7

Summary: Install management web console for HTBwondershaper
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://contribs.org
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch1: smeserver-htbwshaper-1.0-fixdups.patch
Patch2: smeserver-htbwshaper-1.0-locale-2009-03-03.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools >= 1.13.1-03
Requires: e-smith-base

%description
SME Server admin interface for HTBwondershaper

%changelog
* Tue Mar 03 2009 SME Translation Server
- apply locale 2009-03-03 patch

* Tue Mar 3 2009 Shad L. Lords <slords@mail.com> - 1.0-6
- Fix duplicate translation tags so pootle can import

* Sat Feb 28 2009 Stephen Noble <support@dungog.net> - 1.0-5
- add masq restart [SME 5005]
- bump version numbers to build on contribs

* Sat Feb 28 2009 Stephen Noble <support@dungog.net> - 1.0-2
- rebuild closer to SME standards [SME 5005]

* Thu Feb 05 2009 ASPerience <contact@asperience.fr> [ 0.1.0-ASP_1]
- Release 0.1.0-ASP_1
- create rpm for smeserver-htbwshaper 

%prep
%setup
%patch1 -p1
%patch2 -p1

%build
perl createlinks

mkdir -p root/etc/e-smith/events/local	
ln -s /etc/htbwshaper root/etc/e-smith/events/local/S80htbwshaper

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%post
%preun
%postun

